Bug 1459071 - Can not add subscriptions for activationkey on Satellite6.2.10 webUI.
Can not add subscriptions for activationkey on Satellite6.2.10 webUI.
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
Depends On:
  Show dependency treegraph
Reported: 2017-06-06 04:30 EDT by qianzhan
Modified: 2017-06-12 01:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-06-12 01:43:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
notice_of_no_product_when_adding_subscription_on_activationkey.png (119.83 KB, image/png)
2017-06-06 04:31 EDT, qianzhan
no flags Details
a_product_is_listed_in_contents_products.png (180.17 KB, image/png)
2017-06-06 04:32 EDT, qianzhan
no flags Details
visible subscriptions (128.80 KB, image/png)
2017-06-09 15:48 EDT, jcallaha
no flags Details

  None (edit)
Description qianzhan 2017-06-06 04:30:55 EDT
Description of problem:
Can not add subscriptions for activationkey on Satellite6.2.10 webUI.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Deploy Satellite6.2.10 and import manifest.
2. Log in the satellite web UI.
3. Create an activationkey.
4. Try to add a subscription for the activation key, Click Content menu -> Activation keys -> Click the key name -> Click Subscriptions tab -> Click Add tab: No subscriptions listed, and notice existing "You currently don't have any Products to subscribe to, you can add Products after selecting 'Products' under 'Content' in the main menu". Please see attachment "notice_of_no_product_when_adding_subscription_on_activationkey.png"

5. Try to check the products on web UI, Click Content menu -> Products:
Product 'Red Hat Enterprise Linux Server' is diaplayed. Please see attachment 'a_product_is_listed_in_contents_products.png'

Actual results:
As step 4 and step 5, no subscriptions can be added because of no products while a product exists.

Expected results:
Subscriptions should be listed to be added.

Additional info:
Comment 1 qianzhan 2017-06-06 04:31 EDT
Created attachment 1285286 [details]
Comment 2 qianzhan 2017-06-06 04:32 EDT
Created attachment 1285287 [details]
Comment 4 jcallaha 2017-06-09 15:48 EDT
Created attachment 1286516 [details]
visible subscriptions

Note You need to log in before you can comment on or make changes to this bug.